# Generated by Django 2.2.1 on 2019-08-22 05:43

import ckeditor_uploader.fields
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='ServiceProvider',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('email', models.EmailField(blank=True, max_length=254)),
                ('phone', models.CharField(blank=True, max_length=50)),
                ('ceo', models.CharField(blank=True, max_length=50)),
                ('logo', models.FileField(default='media/noprofile.png', upload_to='media/service-provider/')),
                ('expect', models.TextField(help_text='Short description for the profile', max_length=368)),
                ('description', ckeditor_uploader.fields.RichTextUploadingField(help_text='Profile description. use col in your HMTL tag to create column')),
                ('slug', models.SlugField()),
                ('website_url', models.URLField(blank=True, help_text='website Address')),
                ('date_posted', models.DateTimeField(default=django.utils.timezone.now)),
                ('background_image', models.FileField(default='media/defaultbg.jpg', upload_to='media/service-provider/%Y')),
            ],
        ),
        migrations.CreateModel(
            name='Page',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('slug', models.SlugField()),
                ('content', ckeditor_uploader.fields.RichTextUploadingField(blank=True)),
                ('service_provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='service_provider.ServiceProvider')),
            ],
        ),
    ]
